> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corbado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List passkeys for a user including full authenticator data

> Returns a list of passkeys for a user by given `userID`, including the full authenticator data
(`publicKey`, `authenticatorSignCount` and `authenticatorAttachment`) which is not part of
[List passkeys for a user](/api-reference/backend-api/users/list-passkeys-for-a-user).




## OpenAPI

````yaml https://backendapi.cloud.corbado.io/v2/openapi.yaml get /users/{userID}/fullCredentials
openapi: 3.0.3
info:
  version: 2.0.0
  title: Corbado Backend API
  description: >
    # Introduction

    This documentation gives an overview of all Corbado Backend API calls to
    implement passwordless authentication with Passkeys.
  contact:
    name: Corbado team
    email: support@corbado.com
    url: https://www.corbado.com
servers:
  - url: https://backendapi.corbado.io/v2
security:
  - basicAuth: []
tags:
  - name: Users
    description: All API calls to manage users
  - name: Sessions
    description: All API calls to manage sessions
  - name: Challenges
    description: All API calls to manage challenges
  - name: Identifiers
    description: All API calls to manage login identifiers
  - name: Passkeys
    description: All API calls for passkey flows
  - name: SSO
    description: All API calls for SSO flows
  - name: AuthEvents
    description: All API calls to manage authentication events
  - name: PasskeyEvents
    description: All API calls to manage passkey events
  - name: ProjectConfig
    description: All API calls to manage project configurations
  - name: ConnectTokens
    description: All API calls to manage connectTokens
  - name: PasskeyChallenges
    description: All API calls to manage passkey challenges
  - name: WebhookEndpoints
    description: All API calls to manage webhook endpoints
  - name: PasswordManagers
    description: All API calls to manage password managers
  - name: ClientEnvs
    description: All API calls to manage client environments
  - name: Devices
    description: All API calls to manage devices
  - name: Exports
    description: All API calls to manage project export files
paths:
  /users/{userID}/fullCredentials:
    get:
      tags:
        - Users
      summary: List passkeys for a user including full authenticator data
      description: >
        Returns a list of passkeys for a user by given `userID`, including the
        full authenticator data

        (`publicKey`, `authenticatorSignCount` and `authenticatorAttachment`)
        which is not part of

        [List passkeys for a
        user](/api-reference/backend-api/users/list-passkeys-for-a-user).
      operationId: FullCredentialList
      parameters:
        - $ref: '#/components/parameters/userID'
      responses:
        '200':
          description: List of passkeys including full authenticator data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/fullCredentialList'
        default:
          $ref: '#/components/responses/error'
      security:
        - basicAuth: []
components:
  parameters:
    userID:
      name: userID
      in: path
      description: |
        Unique identifier of the user. Format: `usr-<number>`.
      required: true
      schema:
        type: string
        example: usr-4693224802260150919
  schemas:
    fullCredentialList:
      type: object
      required:
        - fullCredentials
      properties:
        fullCredentials:
          type: array
          items:
            $ref: '#/components/schemas/fullCredential'
    fullCredential:
      type: object
      required:
        - credentialID
        - publicKey
        - authenticatorSignCount
        - authenticatorAAGUID
        - authenticatorAttachment
        - backupEligible
        - backupState
        - transports
        - attestationFormat
        - created
        - createdMs
        - status
      properties:
        credentialID:
          type: string
          description: Credential ID of the passkey, base64url encoded (without padding)
        publicKey:
          type: string
          description: Public key of the passkey, base64url encoded (without padding)
        authenticatorSignCount:
          type: integer
          format: int64
        authenticatorAAGUID:
          type: string
          description: AAGUID of the authenticator, empty if unknown
        authenticatorAttachment:
          type: string
          enum:
            - unknown
            - platform
            - cross-platform
        backupEligible:
          type: boolean
        backupState:
          type: boolean
        transports:
          type: array
          items:
            type: string
            enum:
              - usb
              - nfc
              - ble
              - internal
              - hybrid
              - smart-card
        attestationFormat:
          type: string
          description: >-
            Attestation format of the passkey (for example `packed`, `apple` or
            `none`)
        created:
          description: >-
            Timestamp of when the entity was created in yyyy-MM-dd'T'HH:mm:ss
            format
          type: string
        createdMs:
          type: integer
          format: int64
        status:
          type: string
          enum:
            - active
          description: Status
  responses:
    error:
      description: Error
      content:
        application/json:
          schema:
            allOf:
              - type: object
                required:
                  - httpStatusCode
                  - message
                  - requestData
                  - runtime
                properties:
                  httpStatusCode:
                    description: HTTP status code of operation
                    type: integer
                    format: int32
                  message:
                    type: string
                    example: OK
                  requestData:
                    description: Data about the request itself, can be used for debugging
                    type: object
                    required:
                      - requestID
                    properties:
                      requestID:
                        description: >-
                          Unique ID of request, you can provide your own while
                          making the request, if not the ID will be randomly
                          generated on server side
                        type: string
                        example: req-557...663
                      link:
                        description: Link to dashboard with details about request
                        type: string
                        example: >-
                          https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx
                  runtime:
                    description: Runtime in seconds for this request
                    type: number
                    format: float
                    example: 0.06167686
              - type: object
                required:
                  - error
                properties:
                  data:
                    type: object
                  error:
                    type: object
                    required:
                      - type
                    properties:
                      type:
                        description: Type of error
                        type: string
                      details:
                        description: Details of error
                        type: string
                      validation:
                        description: Validation errors per field
                        type: array
                        items:
                          type: object
                          required:
                            - field
                            - message
                          properties:
                            field:
                              type: string
                            message:
                              type: string
                      links:
                        description: Additional links to help understand the error
                        type: array
                        items:
                          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        Basic authentication is used to authenticate requests to the Backend
        API. The username is the project ID and the password is the API secret.


        The project ID and API secret can be found in the [Developer
        Panel](https://app.corbado.com/settings/api-secrets).

````